Mono(certmgr)

NAME
certmgr - Mono Certificate Manager (CLI version)

SYNOPSIS

certmgr [action] [object type] [options] store [filename]

DESCRIPTION
This tool allow to add, remove or extract certificates, certificate revocation lists (CRL) or certificate trust lists (CTL) to/from a certificate store. Certificate stores are used to build and validate certificate chains for Authenticode(r) code signing validation and SSL server certificates.

ACTIONS

-add
    Add a certificate, CRL or CTL to specified store.

-del
    Remove a certificate, CRL or CTL from specified store.

-put
    Copy a certificate, CRL or CTL from a store to a file.

OBJECT TYPES

-c , -cert , -certificate
    Add, Delete or Put certificates. That is the specified file must/will contains X.509 certificates in DER binary encoding.

-crl
    Add, Delete or Put certificate revocation lists (CRL). That is the specified file must/will contains X.509 CRL in DER binary encoding.

-ctl
    Add, Delete or Put certificate trust lists (CRL). UNSUPPORTED.

OPTIONS

-v , -verbose
    More details displayed on the console.

-help , -h , -? , /?
    Display help about this tool.

FILES
WARNING: This details the current behavior of Mono and could change between releases. The only safe way to interact with certificate stores is to use the certmgr tool. The current releases of Mono keeps all the user certificate stores in separates directories under ~/.mono/certs/

For example the trusted root certificates for a user would be kept under
    ~/.mono/certs/Trust/

Certificates files are kept in DER (binary) format (extension .cer).

The filenames either starts with
    tbp (thumbprint) or ski (subject key identifier).

The rest of the filename is the base64-encoded value (tbp or ski).

AUTHOR
Written by Sebastien Pouliot

COPYRIGHT
Copyright (C) 2004 Novell.

MAILING LISTS
Visit http://mail.ximian.com/mailman/mono-list for details.

WEB SITE
Visit: http://www.go-mono.com for details

SEE ALSO
makecert(1),setreg(1)